%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	A software center for GNOME
Name:		gnome-software
Version:	3.10.4
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Apps/Software
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

Requires:	gnome-icon-theme

BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.9.12
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(packagekit-glib2) >= 0.8.10
BuildRequires:	gnome-common

%description
%{name} is an application that makes it easy to add, remove
and update software in the GNOME desktop.

%prep
%setup -q

%build
NOCONFIGURE=yes gnome-autogen.sh && intltoolize -f
%configure --disable-static
%make

%install
%makeinstall_std

%__rm %{buildroot}%{_libdir}/gs-plugins/*.la

%find_lang %name --with-gnome

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.png
%{_mandir}/man1/%{name}.1.*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/%{name}/featured.ini
%dir %{_libdir}/gs-plugins
%{_libdir}/gs-plugins/*.so
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Tue Nov 26 2013 ovitters <ovitters> 3.10.4-1.mga4
+ Revision: 553516
- new version 3.10.4

* Mon Oct 28 2013 ovitters <ovitters> 3.10.3-1.mga4
+ Revision: 547637
- new version 3.10.3

* Tue Oct 22 2013 umeabot <umeabot> 3.10.2-2.mga4
+ Revision: 542209
- Mageia 4 Mass Rebuild

* Fri Oct 18 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 520415
- new version 3.10.2

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 497094
- new version 3.10.1

* Wed Sep 25 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485754
- based on Fedora

